<?php
/*
=====================================================
 Модуль Schema для киносайта - by UnderBeerDev
-----------------------------------------------------
 https://underbeerdev.pro/
-----------------------------------------------------
 Copyright (c) 2021 UnderBeerDev
=====================================================
 This code is protected by copyright
=====================================================
 File: admin.php
-----------------------------------------------------
 Use: Admin panel of module
=====================================================
*/

if( !defined('DATALIFEENGINE' ) || !defined('LOGGED_IN')) {
	die('Hacking attempt!');
}

require_once ENGINE_DIR.'/underbeerdev/schema_org/config.php';

$xfield_list = xfieldsload();
$xfields_list = ['-' => '-'];
$xfields_title = ['-' => '-', 'main_title' => 'Заголовок'];
$xfields_description = ['-' => '-', 'main_short' => 'Краткое описание', 'main_full' => 'Полное описание'];
for ($i = 0; $i < count($xfield_list); $i++) {
	$xfields_list[$xfield_list[$i][0]] = $xfield_list[$i][1];
	$xfields_title[$xfield_list[$i][0]] = $xfield_list[$i][1];
	$xfields_description[$xfield_list[$i][0]] = $xfield_list[$i][1];
}

$catlist = [];
foreach ($cat_info as $catKey => $catArr) {
  	$catlist[$catArr['id']] = $catArr['name'];
}

function showRow($title = "", $description = "", $field = "", $class = "") {
	echo "<tr>
       <td class=\"col-xs-10 col-sm-6 col-md-7 {$class}\"><h6><b>{$title}:</b></h6><span class=\"note large\">{$description}</span></td>
       <td class=\"col-xs-2 col-md-5 settingstd {$class}\">{$field}</td>
       </tr>";
}

function makeDropDown($options, $name, $selected) {
    $output = "<select class=\"uniform\" style=\"min-width:100px;\" name=\"$name\">\r\n";
    foreach ( $options as $value => $description ) {
        $output .= "<option value=\"$value\"";
        if( $selected == $value ) {
            $output .= " selected ";
        }
        $output .= ">$description</option>\n";
    }
    $output .= "</select>";
    return $output;
}
    
function makeSelect($array, $name, $data, $placeholder, $mode) {
    foreach ($array as $key => $value) {
        if ( $mode == 1 ) $key = $value;
	    if (in_array($key, $data)) {
	    	$options[] = '<option value="'.$key.'" selected>'.$value.'</option>';
	    }
	    else {
	    	$options[] = '<option value="'.$key.'">'.$value.'</option>';
	    }
    }
    return '<select data-placeholder="'.$placeholder.'" name="'.$name.'[]" id="'.$name.'" class="valuesselect" multiple style="width:100%;max-width:350px;">'.implode('', $options).'</select>';
}

echoheader('<b>Модуль Schema.org для киносайта</b>', 'Настройки модуля');

echo <<<HTML
<style>
.chosen-container-single .chosen-single:before{
	background: transparent!important;
}
.chosen-container .chosen-results li.result-selected {
	color: #fff;
	background: #2c82c9;
}
.chosen-container-single .chosen-single {
    text-transform: none!important;
}
.chosen-container-active.chosen-with-drop .chosen-single {
    box-shadow: none;
}
</style>

<form action="" method="post" class="systemsettings">
	<div id="settings" class="panel panel-flat">
		<div class="panel-body" style="padding: 20px;font-size:20px; font-weight:bold;">Настройки модуля</div>
		<div class="table-responsive">
			<table class="table table-striped">
HTML;

showRow('Выберите категории фильмов', 'Данным категориям будет присвоен атрибут type со значением Movie', makeSelect( $catlist, "settings[movie_cats]", $dle_schema['settings']['movie_cats'], 'Выберите год/года выхода', 0));
showRow('Выберите категории сериалов', 'Данным категориям будет присвоен атрибут type со значением TVSeries', makeSelect( $catlist, "settings[tv_cats]", $dle_schema['settings']['tv_cats'], 'Выберите год/года выхода', 0));
showRow('Атрибут name', 'Выберите источник для атрибута name', makeDropDown( $xfields_title, "settings[name]", $dle_schema['settings']['name']));
showRow('Атрибут alternativeHeadline', 'Выберите дополнительное поле для атрибута alternativeHeadline', makeDropDown( $xfields_list, "settings[alternativeHeadline]", $dle_schema['settings']['alternativeHeadline']));
showRow('Атрибут alternateName', 'Выберите дополнительное поле для атрибута alternateName', makeDropDown( $xfields_list, "settings[alternateName]", $dle_schema['settings']['alternateName']));
showRow('Атрибут description', 'Выберите источник для атрибута description', makeDropDown( $xfields_description, "settings[description]", $dle_schema['settings']['description']));
showRow('Атрибут image', 'Выберите дополнительное поле для атрибута image', makeDropDown( $xfields_list, "settings[image]", $dle_schema['settings']['image']));
showRow('Атрибут genre', 'Выберите дополнительное поле для атрибута genre', makeDropDown( $xfields_list, "settings[genre]", $dle_schema['settings']['genre']));
showRow('Атрибут contentRating', 'Выберите дополнительное поле для атрибута contentRating', makeDropDown( $xfields_list, "settings[contentRating]", $dle_schema['settings']['contentRating']));
showRow('Атрибут timeRequired', 'Выберите дополнительное поле для атрибута timeRequired', makeDropDown( $xfields_list, "settings[timeRequired]", $dle_schema['settings']['timeRequired']));
showRow('Атрибут datePublished', 'Выберите дополнительное поле для атрибута datePublished', makeDropDown( $xfields_list, "settings[datePublished]", $dle_schema['settings']['datePublished']));
showRow('Атрибут producer', 'Выберите дополнительное поле для атрибута producer', makeDropDown( $xfields_list, "settings[producer]", $dle_schema['settings']['producer']));
showRow('Атрибут director', 'Выберите дополнительное поле для атрибута director', makeDropDown( $xfields_list, "settings[director]", $dle_schema['settings']['director']));
showRow('Атрибут actor', 'Выберите дополнительное поле для атрибута actor', makeDropDown( $xfields_list, "settings[actor]", $dle_schema['settings']['actor']));
showRow('Атрибут countryOfOrigin', 'Выберите дополнительное поле для атрибута countryOfOrigin', makeDropDown( $xfields_list, "settings[countryOfOrigin]", $dle_schema['settings']['countryOfOrigin']));
showRow('Атрибут numberOfEpisodes', 'Выберите дополнительное поле для атрибута numberOfEpisodes', makeDropDown( $xfields_list, "settings[numberOfEpisodes]", $dle_schema['settings']['numberOfEpisodes']));

echo <<<HTML
			</table>
		</div>
	</div>
    <button type="submit" class="btn bg-teal btn-raised position-left"><i class="fa fa-floppy-o position-left"></i>{$lang['user_save']}</button>
</form>
<script>
	$(function() {
		
		$('.valuesselect').chosen({allow_single_deselect:true, no_results_text: 'Ничего не найдено'});
		
		function ajax_save_option() {
			var data_form = $('form').serialize();
			$.post('engine/ajax/controller.php?mod=save_schema', {data_form: data_form, action: 'options', user_hash: '{$dle_login_hash}'}, function(data) {
				data = jQuery.parseJSON(data);
				if (!data.head) {
					Growl.error({
						title: 'Ошибка сохранения!',
						text: 'Проверьте права доступа к файлу настроек'
					});
				} else {
					Growl.info({
						title: 'Настройки применены!',
						text: 'Настройки модуля были успешно сохранены',
						icon: 'success'
					});
				}
			});
			return false;
		}
		
		$('body').on('submit', 'form', function(e) {
			e.preventDefault();
			ajax_save_option();
			return false;
		});
	});
</script>
<div class="panel" style="margin-top: 20px;">
	<div class="panel-content">
		<div class="panel-body">
			© 2021 UnderBeerDev
		</div>
	</div>
</div>
HTML;
echofooter();
?>